Bug 1852743 - Node list CPU column only show usage
Summary: Node list CPU column only show usage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.8.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-01 08:23 UTC by Yadan Pei
Modified: 2021-07-27 22:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:32:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
Node Lists Page (229.80 KB, image/png)
2020-07-01 08:30 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6816 0 None closed Bug 1852743: Show total cores in node list 2021-02-05 18:19:04 UTC
Github openshift console pull 8250 0 None open Bug 1852743: Use consistent labels for CPU in node list 2021-03-05 15:49:06 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:32:43 UTC

Description Yadan Pei 2020-07-01 08:23:11 UTC
Description of problem:
Node list page, CPU column only shows CPU usage, but for Memory and Filesystem, we are showing both usage and total in usage/total format

Version-Release number of selected component (if applicable):
    4.6.0-0.nightly-2020-06-30-020342

How reproducible:
Always

Steps to Reproduce:
1.admin user goes to Node list page, check the columns in table
2.
3.

Actual results:
1. Memory column shows 2.03 GiB / 15.2 GiB, Filesystem shows 33.93 GiB / 493.6 GiB but CPU column only show usage 0.217 cores

Expected results:
1. CPU column should also show values in format: usage/total, sometimes master node has 8 vCPU, while some other nodes may only havef 4 vCPU, it's better if we can show the total number in the column to be consistent with other columns

Additional info:

Comment 1 Yadan Pei 2020-07-01 08:30:08 UTC
Created attachment 1699443 [details]
Node Lists Page

Comment 2 Robb Hamilton 2020-07-01 12:08:43 UTC
Reassigning to Sam as he already has a PR in flight to change node list metrics at https://github.com/openshift/console/pull/5819

Comment 9 Yanping Zhang 2020-10-12 06:29:39 UTC
Checked on 4.7 cluster with payload: 4.7.0-0.ci-2020-10-11-211311
Now on nodes list page, in cpu column, it shows used cpu and total cpu, eg: "0.416 / 4 cores", to keep consistent with other columns format, it's better to show as "0.416 cores/ 4 cores". Sam, WDYT?

Comment 10 Yanping Zhang 2020-10-14 10:37:06 UTC
Based on question in Comment 9, assigned the bug first. Thanks!

Comment 11 Samuel Padgett 2020-11-13 20:39:18 UTC
I'm a little undecided on this since the unit will always be the same, and there's not much space in the table. But probably we should be consistent.

Comment 15 Yadan Pei 2021-03-08 06:19:00 UTC
On Nodes list page, now we show 0.481 cores / 4 cores

Goes to Node Terminal and check CPU info manually

sh-4.4# lscpu
Architecture:        x86_64
CPU op-mode(s):      32-bit, 64-bit
Byte Order:          Little Endian
CPU(s):              4
On-line CPU(s) list: 0-3
Thread(s) per core:  2
Core(s) per socket:  2
Socket(s):           1
NUMA node(s):        1
Vendor ID:           GenuineIntel
CPU family:          6
Model:               85
Model name:          Intel(R) Xeon(R) Platinum 8259CL CPU @ 2.50GHz
Stepping:            7
CPU MHz:             3104.057
BogoMIPS:            5000.00
Hypervisor vendor:   KVM
Virtualization type: full
L1d cache:           32K
L1i cache:           32K
L2 cache:            1024K
L3 cache:            36608K
NUMA node0 CPU(s):   0-3
Flags:               fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ss ht syscall nx pdpe1gb rdtscp lm constant_tsc rep_good nopl xtopology nonstop_tsc cpuid aperfmperf tsc_known_freq pni pclmulqdq ssse3 fma cx16 pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand hypervisor lahf_lm abm 3dnowprefetch invpcid_single pti fsgsbase tsc_adjust bmi1 avx2 smep bmi2 erms invpcid mpx avx512f avx512dq rdseed adx smap clflushopt clwb avx512cd avx512bw avx512vl xsaveopt xsavec xgetbv1 xsaves ida arat pku ospke

sh-4.4# cat /proc/cpuinfo | grep 'processor' | wc -l
4

sh-4.4# cat /proc/cpuinfo | grep 'physical id' | uniq | wc -l
1

From above output, we can know that the node has 1 physical CPU and 4 logic CPUs, I understand that the number 4 is not the number of cores so we should remove the `cores` unit labels from the list

Let me know if I'm wrong

Comment 17 Samuel Padgett 2021-04-30 13:43:35 UTC
Simon, can you help answer the question in comment #15?

Comment 18 Simon Pasquier 2021-04-30 14:40:42 UTC
I guess it depends on whether "cores" applies to the Kubernetes level [1] (e.g. 1 core = 1 vCPU or 1 hyperthread) or to the hardware level (1 core = 1 physical core). I'm quite sure that most people would assume Kubernetes cores here. I'm not sure if there's a term other than "cores" which would be better suited.

https://kubernetes.io/docs/concepts/configuration/manage-resources-containers/#meaning-of-cpu

Comment 19 Yadan Pei 2021-05-06 03:03:47 UTC
Thank you very much @spasquie@redhat.com, then I think using 'cores' is more reasonable and acceptable

Comment 20 Yadan Pei 2021-05-06 03:05:19 UTC
based on comment 15, comment 18 and comment 19, now Nodes list page is showing correct usage/total 


Moving to VERIFIED

Comment 23 errata-xmlrpc 2021-07-27 22:32:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.